Bug 101857 - [IGT] Fail some sub test on gem_evict_everything
Summary: [IGT] Fail some sub test on gem_evict_everything
Status: RESOLVED INVALID
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks: 95427 104327
  Show dependency treegraph
 
Reported: 2017-07-20 19:36 UTC by Ricardo Madrigal
Modified: 2019-07-27 13:01 UTC (History)
2 users (show)

See Also:
i915 platform: SKL
i915 features: GEM/Other


Attachments
result.log (8.17 KB, text/plain)
2017-07-20 19:36 UTC, Ricardo Madrigal
no flags Details
dmesg.log (28.50 KB, text/plain)
2017-07-20 19:36 UTC, Ricardo Madrigal
no flags Details
kern.log (567.82 KB, text/plain)
2017-07-20 19:37 UTC, Ricardo Madrigal
no flags Details
Test_outputs_IVB (3.96 KB, text/plain)
2017-09-06 22:11 UTC, Elizabeth
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ricardo Madrigal 2017-07-20 19:36:02 UTC
Created attachment 132799 [details]
result.log

The following tests fail on BYT with latest configuration

====================================================
Test list
====================================================
igt@gem_evict_everything@mlocked-hang
igt@gem_evict_everything@swapping-hang

====================================================
Graphic Stack
====================================================
Component: drm
     tag: libdrm-2.4.81-31-g23e234a
     commit: 23e234a3503f51b9d9c585123d33b936f522808d
Component: cairo
    tag: 1.15.6-2-g57b4050
    commit: 57b40507dda3f58dfc8635548d606b86dc7bcf51
Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-96-gfb1ddc4
    commit: fb1ddc47003ad6a683db79beeb81b6cbab1feb7c
Component: piglit
    tag: piglit-v1
    commit: 56e7e5583cd4a3ca15a8cda154d46d168959dd25

======================================
             Hardware
======================================
motherboard model          : .................................
motherboard id             : DN2820FYK
form factor                : Desktop
manufacturer               : .................................
cpu family                 : Celeron
cpu family id              : 6
cpu information            : Intel(R) Celeron(R) CPU  N2830  @ 2.16GHz
gpu card                   : Intel Corporation Atom Processor Z36xxx/Z37xxx Series Graphics & Display (rev 0e) (prog-if 00 [VGA controller])
memory ram                 : 7.66 GB
max memory ram             : 8 GB
cpu thread                 : 2
cpu core                   : 2
cpu model                  : 55
cpu stepping               : 8
socket                     : <OUT OF SPEC>
signature                  : Type 0, Family 6, Model 55, Stepping 8
hard drive                 : 111GiB (120GB)
current cd clock frequency : 266667 kHz
maximum cd clock frequency : 400000 kHz
displays connected         : HDMI-A-1
Comment 1 Ricardo Madrigal 2017-07-20 19:36:39 UTC
Created attachment 132800 [details]
dmesg.log
Comment 2 Ricardo Madrigal 2017-07-20 19:37:29 UTC
Created attachment 132801 [details]
kern.log
Comment 3 Chris Wilson 2017-07-20 22:44:35 UTC
Lots of hilarity, lets start with

[80030.768913] ================================
[80030.768921] WARNING: inconsistent lock state
[80030.768930] 4.13.0-rc1-drm-tip-ww29-commit-f1c32d6+ #1 Tainted: G     U         
[80030.768942] --------------------------------
[80030.768949] inconsistent {RECLAIM_FS-ON-W} -> {IN-RECLAIM_FS-W} usage.
[80030.768960] kswapd0/37 [HC0[0]:SC0[0]:HE1:SE1] takes:
[80030.768968]  (&dev_priv->rps.hw_lock){+.+.?.}, at: [<ffffffffa008508f>] intel_disable_gt_powersave.part.19+0x1f/0x260 [i915]
[80030.769050] {RECLAIM_FS-ON-W} state was registered at:
[80030.769063]   mark_held_locks+0x6f/0xa0
[80030.769073]   lockdep_trace_alloc+0x96/0xe0
[80030.769082]   kmem_cache_alloc_trace+0x31/0x2e0
[80030.769139]   i915_gem_object_create_stolen_for_preallocated+0x90/0x470 [i915]
[80030.769196]   intel_init_gt_powersave+0x7e5/0x8a0 [i915]
[80030.769256]   intel_modeset_gem_init+0xd/0x20 [i915]
[80030.769307]   i915_driver_load+0xa1a/0x16c0 [i915]
[80030.769360]   i915_pci_probe+0x34/0xa0 [i915]
[80030.769370]   pci_device_probe+0xa3/0x130
[80030.769381]   driver_probe_device+0x299/0x440
[80030.769390]   __driver_attach+0xde/0xe0
[80030.769399]   bus_for_each_dev+0x61/0xa0
[80030.769407]   driver_attach+0x19/0x20
[80030.769416]   bus_add_driver+0x1fb/0x270
[80030.769425]   driver_register+0x5b/0xd0
[80030.769434]   __pci_register_driver+0x5b/0x60
[80030.769447]   snd_pcm_new_stream+0xb/0x1e0 [snd_pcm]
[80030.769458]   do_one_initcall+0x3f/0x160
[80030.769468]   do_init_module+0x5a/0x1fa
[80030.769477]   load_module+0x21e0/0x2590
[80030.769485]   SyS_finit_module+0xbc/0xf0
[80030.769495]   entry_SYSCALL_64_fastpath+0x1c/0xb1
[80030.769503] irq event stamp: 1494801
[80030.769512] hardirqs last  enabled at (1494801): [<ffffffff81884f82>] _raw_spin_unlock_irqrestore+0x52/0x60
[80030.769527] hardirqs last disabled at (1494800): [<ffffffff81884db3>] _raw_spin_lock_irqsave+0x13/0x50
[80030.769542] softirqs last  enabled at (1494626): [<ffffffff81086349>] __do_softirq+0x1d9/0x4a0
[80030.769556] softirqs last disabled at (1494603): [<ffffffff81086789>] irq_exit+0xa9/0xc0
[80030.769569] 
               other info that might help us debug this:
[80030.769580]  Possible unsafe locking scenario:

[80030.769591]        CPU0
[80030.769597]        ----
[80030.769603]   lock(&dev_priv->rps.hw_lock);
[80030.769613]   <Interrupt>
[80030.769619]     lock(&dev_priv->rps.hw_lock);
[80030.769629] 
                *** DEADLOCK ***

[80030.769643] 2 locks held by kswapd0/37:
[80030.769651]  #0:  (shrinker_rwsem){++++..}, at: [<ffffffff8119a12a>] shrink_slab.part.17+0x4a/0x5f0
[80030.769671]  #1:  (&dev->struct_mutex){+.+.+.}, at: [<ffffffffa00c454e>] shrinker_lock+0x2e/0x80 [i915]
[80030.769737] 
               stack backtrace:
[80030.769749] CPU: 1 PID: 37 Comm: kswapd0 Tainted: G     U          4.13.0-rc1-drm-tip-ww29-commit-f1c32d6+ #1
[80030.769763] Hardware name: \xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff \xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff/DN2820FYK, BIOS FYBYT10H.86A.0057.2017.0303.1852 03/03/2017
[80030.769779] Call Trace:
[80030.769789]  dump_stack+0x67/0x97
[80030.769799]  print_usage_bug.part.26+0x245/0x25e
[80030.769809]  mark_lock+0x121/0x630
[80030.769818]  ? print_shortest_lock_dependencies+0x1a0/0x1a0
[80030.769828]  __lock_acquire+0x36d/0x1790
[80030.769839]  lock_acquire+0x9e/0x1e0
[80030.769847]  ? lock_acquire+0x9e/0x1e0
[80030.769900]  ? intel_disable_gt_powersave.part.19+0x1f/0x260 [i915]
[80030.769955]  ? intel_disable_gt_powersave.part.19+0x1f/0x260 [i915]
[80030.769966]  __mutex_lock+0x83/0x980
[80030.770019]  ? intel_disable_gt_powersave.part.19+0x1f/0x260 [i915]
[80030.770030]  ? trace_hardirqs_on_caller+0x118/0x180
[80030.770083]  ? intel_disable_gt_powersave.part.19+0x1f/0x260 [i915]
[80030.770094]  ? trace_hardirqs_on+0xd/0x10
[80030.770151]  ? fwtable_read32+0x88/0x2c0 [i915]
[80030.770162]  mutex_lock_nested+0x16/0x20
[80030.770171]  ? mutex_lock_nested+0x16/0x20
[80030.770224]  intel_disable_gt_powersave.part.19+0x1f/0x260 [i915]
[80030.770278]  intel_sanitize_gt_powersave+0x1f/0x30 [i915]
[80030.770335]  i915_gem_reset+0x96/0xf0 [i915]
[80030.770387]  i915_reset+0x132/0x1c0 [i915]
[80030.770443]  __i915_wait_request_check_and_reset.isra.12.part.13+0x28/0x30 [i915]
[80030.770504]  i915_wait_request+0x804/0x8a0 [i915]
[80030.770514]  ? krealloc+0x74/0xc0
[80030.770524]  ? wake_up_q+0x70/0x70
[80030.770532]  ? wake_up_q+0x70/0x70
[80030.770588]  i915_gem_object_wait_fence+0x69/0x100 [i915]
[80030.770644]  i915_gem_object_wait+0x2c7/0x3f0 [i915]
[80030.770653]  ? _raw_spin_unlock_irqrestore+0x52/0x60
[80030.770710]  i915_gem_object_unbind+0x47/0x150 [i915]
[80030.770767]  i915_gem_shrink+0x278/0x580 [i915]
[80030.770777]  ? mark_held_locks+0x6f/0xa0
[80030.770834]  i915_gem_shrinker_scan+0xae/0xc0 [i915]
[80030.770891]  ? i915_gem_shrinker_scan+0xae/0xc0 [i915]
[80030.770902]  shrink_slab.part.17+0x1f3/0x5f0
[80030.770912]  shrink_node+0x2e8/0x2f0
[80030.770921]  kswapd+0x2e9/0x940
[80030.770931]  kthread+0x10f/0x150
[80030.770939]  ? mem_cgroup_shrink_node+0x330/0x330
[80030.770949]  ? kthread_create_on_node+0x40/0x40
[80030.770958]  ? kthread_create_on_node+0x40/0x40
[80030.770967]  ret_from_fork+0x27/0x40
Comment 4 Elizabeth 2017-07-21 15:49:40 UTC
Adding tag into "Whiteboard" field - ReadyForDev
*Status is correct
*Platform is included
*Feature is included
*Priority and Severity correctly set
*Logs included
Comment 5 Hector Velazquez 2017-07-26 22:01:20 UTC
The following test FAIL on IVB with this configuration

Tests List:

igt@gem_evict_everything@swapping-hang



This is my configuration:

====================================================
Graphic Stack
====================================================
Component: drm
    tag: libdrm-2.4.81-33-g3876bc2
    commit: 3876bc246a07070a6043159cd7623d4def9bbd4c

Component: cairo
    tag: 1.15.6-2-g57b4050
    commit: 57b40507dda3f58dfc8635548d606b86dc7bcf51

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-112-g493151b
    commit: 493151b0768aa4ca535cef49cb7efa174a9c3a77

Component: piglit
    tag: piglit-v1
    commit: 973892687cf5c2f8e2dbe1d22998b82736643787



======================================
             Hardware
======================================
==============================================================
Essentials
==============================================================
Processor Number			i5-3330
Status					Launched
Launch Date				Q3'12
Lithography				22 nm


==============================================================
Performance
==============================================================
# of Cores				4
# of Threads				4
Processor Base Frequency		3.00 GHz
Max Turbo Frequency			3.20 GHz
Cache					6 MB SmartCache
Bus Speed				5 GT/s DMI
TDP					77 W

==============================================================
Memory Specifications
==============================================================
Max Memory Size 			32 GB
Memory Types				DDR3 1333/1600
Max # of Memory Channels		2
Max Memory Bandwidth			25.6 GB/s
ECC Memory Supported  			No

==============================================================
Graphics Specifications
==============================================================
Processor Graphics 			Intel® HD Graphics 2500
Graphics Base Frequency			650.00 MHz
Graphics Max Dynamic Frequency		1.05 GHz
Intel® Quick Sync Video 		Yes
Intel® InTru™ 3D Technology		Yes
Intel® Wireless Display 		Yes
Intel® Flexible Display Interface 	Yes
Intel® Clear Video HD Technology	Yes
# of Displays Supported 		3
Device ID				0x152
Comment 6 Elizabeth 2017-09-06 22:11:21 UTC
Created attachment 134028 [details]
Test_outputs_IVB

With last configuration tests still fail on IVB:
======================================
             Software
======================================
kernel version              : 4.13.0-drm-tip-ww36-commit-0640ea7+
hostname                    : IVB-2
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 15.72
bios release date           : 02/10/2014
ksc                         : 81.37
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                    : 2.4.70
libva                       : 1.7.1-2
vaapi (intel-driver)        : 1.7.1
cairo                       : 1.14.6-1build1
intel-gpu-tools             : 1.16-1
Comment 7 Elizabeth 2017-09-06 22:28:32 UTC
With BYT is the same but it takes a lot of time to finish:
time sudo -E ./gem_evict_everything --r mlocked-hang
IGT-Version: 1.19-g918863f (x86_64) (Linux: 4.13.0-drm-tip-ww36-commit-0640ea7+ x86_64)
child 0 failed with exit status 251
Subtest mlocked-hang failed.
**** DEBUG ****
(gem_evict_everything:17064) intel-os-DEBUG: Checking 1,536 surfaces of size 1,048,576 bytes (total 1,611,399,168) against RAM
(gem_evict_everything:17064) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:17064) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:17064) intel-os-DEBUG: Test requirement passed: __intel_check_memory(count, size, mode, &required, &total)
(gem_evict_everything:17064) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(gem_evict_everything:17064) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:17064) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:17064) DEBUG: Test requirement passed: pin > sz
(gem_evict_everything:17064) DEBUG: Pinning [5,920, 7,456] MiB
(gem_evict_everything:17064) DEBUG: Test requirement passed: *can_mlock
****  END  ****
Subtest mlocked-hang: FAIL (1637.072s)

real    27m26.096s
user    0m2.344s
sys     6m35.742s
Comment 8 Hector Velazquez 2017-10-02 15:59:24 UTC
This test are failing on CFL-S-1 QA

Tests List:

igt@gem_evict_everything@mlocked-hang


====================================================
Output 
====================================================
. . .
**** DEBUG ****
(gem_evict_everything:1937) intel-os-DEBUG: Checking 3071 surfaces of size 1048576 bytes (total 3221749760) against RAM
(gem_evict_everything:1937) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:1937) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:1937) intel-os-DEBUG: Test requirement passed: __intel_check_memory(count, size, mode, &required, &total)
(gem_evict_everything:1937) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(gem_evict_everything:1937) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:1937) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:1937) DEBUG: Test requirement passed: pin > sz
(gem_evict_everything:1937) DEBUG: Pinning [12317, 15388] MiB
****  END  ****
. . .


This is my configuration:

======================================
        Graphic stack
======================================
Component: drm
    tag: libdrm-2.4.81-57-g1dd84e0
    commit: 1dd84e01a972b1759839a7326009be24ab3e6de2

Component: cairo
    tag: 1.15.6-42-gdccbed7
    commit: dccbed7d78d32bd3b912e8810379451dd94e6a1f

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-357-g1e99f8b
    commit: 1e99f8b8d2563d7f5c4e82932bab15abc5eacaef

Component: piglit
    tag: piglit-v1
    commit: 5aa6eea37f44f818632a3dad4c1a7478085bd56d

	
======================================
             Software
======================================
kernel version              : 4.14.0-rc3-drm-tip-ww40-commit-2f14e31+
hostname                    : CFL-S-1
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 104.3
bios release date           : 09/14/2017
ksc                         : 1.5
hardware acceleration       : disabled
swap partition              : enabled on (/dev/nvme0n1p3
/dev/sda3)

======================================
        Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                      : 2.4.83
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-357-g1e99f8b
intel-gpu-tools (commit)    : 1e99f8b

======================================
             Hardware
======================================
motherboard model          : CoffeeLakeClientPlatform
motherboard id             : CoffeeLakeSUDIMMRVP
form factor                : Desktop
manufacturer               : IntelCorporation
cpu family                 : Other
cpu family id              : 6
cpu information            : Genuine Intel(R) CPU 0000 @ 3.60GHz
gpu card                   : Intel Corporation Device 3e92 (prog-if 00 [VGA controller])
memory ram                 : 15.59 GB
max memory ram             : 32 GB
cpu thread                 : 12
cpu core                   : 6
cpu model                  : 158
cpu stepping               : 10
socket                     : Other
hard drive                 : 111GiB (120GB)
current cd clock frequency : 337500 kHz
maximum cd clock frequency : 675000 kHz
displays connected         : eDP-1 DP-1

======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.1
guc fw loaded             : SUCCESS
guc version wanted        : 9.14
guc version found         : 9.14
huc fw loaded             : yes

======================================
             kernel parameters
======================================
quiet drm.debug=0x1e i915.enable_guc_loading=2 i915.enable_guc_submission=2 i915.alpha_support=1 auto panic=1 nmi_watchdog=panic intel_iommu=igfx_off resume=/dev/sda3 fastboot
Comment 9 Hector Velazquez 2017-12-12 18:01:44 UTC
This test continue failing on BYT, CFL and IVB QA

igt@gem_evict_everything@mlocked-hang
igt@gem_evict_everything@swapping-hang 

IGT-Version: 1.20-g39ac6b8 (x86_64) (Linux: 4.15.0-rc2-drm-intel-qa-ww49-commit-b5f297e0+ x86_64)

**** DEBUG ****
(gem_evict_everything:28816) intel-os-DEBUG: Checking 1536 surfaces of size 1048576 bytes (total 1611399168) against RAM
(gem_evict_everything:28816) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:28816) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:28816) intel-os-DEBUG: Test requirement passed: __intel_check_memory(count, size, mode, &required, &total)
(gem_evict_everything:28816) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(gem_evict_everything:28816) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:28816) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:28816) DEBUG: Test requirement passed: pin > sz
(gem_evict_everything:28816) DEBUG: Pinning [6017, 7553] MiB
(gem_evict_everything:28816) DEBUG: Test requirement passed: *can_mlock
****  END  ****
Comment 10 Hector Velazquez 2017-12-13 21:51:11 UTC
This test are failing on CNL QA

igt@gem_evict_everything@mlocked-hang

using IGT-Version: 1.20-g7440741 (x86_64) (Linux: 4.15.0-rc3-drm-tip-ww50-commit-62d9383+ x86_64)
intel-gpu-tools commit: 74407418720ff7a9de7caabec05d4c3afe9a5c51

**** DEBUG ****
(gem_evict_everything:1525) intel-os-DEBUG: Checking 3071 surfaces of size 1048576 bytes (total 3221749760) against RAM
(gem_evict_everything:1525) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:1525) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:1525) intel-os-DEBUG: Test requirement passed: __intel_check_memory(count, size, mode, &required, &total)
(gem_evict_everything:1525) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(gem_evict_everything:1525) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:1525) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:1525) DEBUG: Test requirement passed: pin > sz
(gem_evict_everything:1525) DEBUG: Pinning [4481, 7552] MiB
(gem_evict_everything:1525) DEBUG: Test requirement passed: *can_mlock
****  END  ****
Comment 11 Hector Velazquez 2018-01-16 15:57:51 UTC
This test has failed on CFL QA 

Tests List:

igt@gem_evict_everything@mlocked-hang

using IGT-Version: 1.20-g84a3080 (x86_64) (Linux: 4.15.0-rc8-drm-tip-ww3-commit-37eb04c+ x86_64)

some tests has this output...
======================================
        output sample
======================================
. . .
**** DEBUG ****
(gem_evict_everything:2153) intel-os-DEBUG: Checking 3071 surfaces of size 1048576 bytes (total 3221749760) against RAM
(gem_evict_everything:2153) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:2153) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:2153) intel-os-DEBUG: Test requirement passed: __intel_check_memory(count, size, mode, &required, &total)
(gem_evict_everything:2153) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(gem_evict_everything:2153) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:2153) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:2153) DEBUG: Test requirement passed: pin > sz
(gem_evict_everything:2153) DEBUG: Pinning [28424, 31495] MiB
(gem_evict_everything:2153) DEBUG: Test requirement passed: *can_mlock
****  END  ****
. . .
Comment 12 Octavio 2018-02-19 22:55:22 UTC
The below test fail on CFL QA 

igt@gem_evict_everything@mlocked-hang
igt@gem_evict_everything@mlocked-interruptible

IGT-Version: 1.21-g6fc91db (x86_64) (Linux: 4.16.0-rc1-drm-intel-qa-ww8-commit-79e91ad+ x86_64)
child 0 died with signal 9, Killed
Subtest mlocked-interruptible: FAIL (2.518s)
	
Subtest mlocked-interruptible failed.
**** DEBUG ****
(gem_evict_everything:2127) intel-os-DEBUG: Checking 3071 surfaces of size 1048576 bytes (total 3221749760) against RAM
(gem_evict_everything:2127) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:2127) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:2127) intel-os-DEBUG: Test requirement passed: __intel_check_memory(count, size, mode, &required, &total)
(gem_evict_everything:2127) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(gem_evict_everything:2127) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:2127) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:2127) DEBUG: Test requirement passed: pin > sz
(gem_evict_everything:2127) DEBUG: Pinning [28473, 31544] MiB
****  END  ****
Comment 13 maria guadalupe 2018-02-20 17:11:20 UTC
the following tests are failing on KBL 

gem_evict_everything@mlocked-hang
gem_evict_everything@swapping-hang

kernel version              : 4.16.0-rc1-drm-intel-qa-ww8-commit-67f1480+
libdrm                      : 2.4.90
intel-gpu-tools (tag)       : intel-gpu-tools-1.21-112-gdd61508a
intel-gpu-tools (commit)    : dd61508a

     Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.4
guc fw loaded             : fetch SUCCESS, load SUCCESS
guc version wanted        : wanted 9.39, found 9.39
guc version found         : wanted 9.39, found 9.39

**** DEBUG ****
(gem_evict_everything:6503) intel-os-DEBUG: Checking 17,524 surfaces of size 1,048,576 bytes (total 18,384,220,160) against RAM + swap
(gem_evict_everything:6503) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:6503) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:6503) intel-os-DEBUG: Test requirement passed: __intel_check_memory(count, size, mode, &required, &total)
  #4 [igt_fork_hang_helper+0x97]
(gem_evict_everything:6503) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(gem_evict_everything:6503) intel-os-DEBUG: Checking 3,071 surfaces of size 1,048,576 bytes (total 3,221,749,760) against RAM
(gem_evict_everything:6503) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:6503) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:6503) intel-os-DEBUG: Test requirement passed: __intel_check_memory(count, size, mode, &required, &total)
(gem_evict_everything:6503) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(gem_evict_everything:6503) intel-os-DEBUG: Checking 17,524 surfaces of size 1,048,576 bytes (total 18,384,220,160) against RAM + swap
(gem_evict_everything:6503) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:6503) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:6503) intel-os-DEBUG: Test requirement passed: __intel_check_memory(count, size, mode, &required, &total)
(gem_evict_everything:6503) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(gem_evict_everything:6503) CRITICAL: Test assertion failure function swapping_evictions, file eviction_common.c:231:
(gem_evict_everything:6503) CRITICAL: Failed assertion: ret == 0
(gem_evict_everything:6503) CRITICAL: error: -5 != 0
(gem_evict_everything:6503) igt-core-INFO: Stack trace:
(gem_evict_everything:6503) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(gem_evict_everything:6503) igt-core-INFO:   #1 [test_swapping_evictions+0x15c]
(gem_evict_everything:6503) igt-core-INFO:   #2 [<unknown>+0x15c]
****  END  ****
Comment 14 Hector Velazquez 2018-03-13 21:49:48 UTC
This tests has failed on CNL QA 

Tests List:
igt@gem_evict_everything@mlocked-hang

output sample:
. . .
**** DEBUG ****
(gem_evict_everything:808) intel-os-DEBUG: Checking 3071 surfaces of size 1048576 bytes (total 3221749760) against RAM
(gem_evict_everything:808) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:808) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:808) intel-os-DEBUG: Test requirement passed: __intel_check_memory(count, size, mode, &required, &total)
(gem_evict_everything:808) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(gem_evict_everything:808) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:808) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:808) DEBUG: Test requirement passed: pin > sz
(gem_evict_everything:808) DEBUG: Pinning [4395, 7466] MiB
(gem_evict_everything:808) DEBUG: Test requirement passed: *can_mlock
****  END  ****
. . .

software:
IGT-Version: 1.22-g89b915f (x86_64) (Linux: 4.16.0-rc5-drm-tip-ww11-commit-874b86a+ x86_64)
Comment 15 Jani Saarinen 2018-03-29 07:10:58 UTC
First of all. Sorry about spam.
This is mass update for our bugs. 

Sorry if you feel this annoying but with this trying to understand if bug still valid or not.
If bug investigation still in progress, please ignore this and I apologize!

If you think this is not anymore valid, please comment to the bug that can be closed.
If you haven't tested with our latest pre-upstream tree(drm-tip), can you do that also to see if issue is valid there still and if you cannot see issue there, please comment to the bug.
Comment 16 Elizabeth 2018-04-06 21:25:34 UTC
This is still valid, both tests keep either failing or being incomplete in all the platforms.

igt@gem_evict_everything@mlocked-hang
igt@gem_evict_everything@swapping-hang

Results for igt@gem_evict_everything@mlocked-hang
Result: dmesg-fail

Out	
IGT-Version: 1.21-ge3a0ed9 (x86_64) (Linux: 4.16.0-rc7-drm-intel-qa-ww14-commit-c46052c+ x86_64)
child 0 failed with exit status 251
Subtest mlocked-hang: FAIL (41.185s)
Comment 17 Ewelina Musial 2018-05-28 11:45:24 UTC
Tests are failing also on APL.
I am taking a look on that. 
It looks like malloc is trying to allocate to much memory (RAM sees as available is not available in real so if we are trying allocate this size of memory we receive OOM killer. 
Work in progress.
Comment 18 Ewelina Musial 2018-06-07 11:28:33 UTC
Work on this topic in progress. 
I prepared patch for mlocked-* subtests but they can not be merged yet because of some dependencies to other non-merged patches yet.
 
Problem was with few functionalities, e.g. test tried to mlock() to big memory size which triggered OOM killer. This OOM killer stopped only one process but then test waited for this process because we did not take into account that process can be killed and this was the reason why main process failed.
We need changes in test and in oom_killer() implementation. I prepared changes for test, changes for IGT library and oom_killer (which are dependencies for my patch) are done by someone other and are waiting for reviewing/pushing.
Comment 19 Francesco Balestrieri 2018-07-02 11:57:13 UTC
Ewelina, is there any update on this bug and related patches?
Comment 20 Ewelina Musial 2018-07-02 12:15:40 UTC
Francesco, I was sick almost two weeks and today is my first day after that. But this is my priority task so I hope I will have solution for swapping-hang subtest soon. 
Michal Winiarski made some changes in mlocked-* and it looks like test worked better but I need to check is that everything we needed to change or work should be continued.
Comment 21 Francesco Balestrieri 2018-08-14 07:53:27 UTC
Ewelina, ping?
Comment 22 Francesco Balestrieri 2019-07-23 08:09:52 UTC
Hi Ewelina, did you ever get to check whether this bug is still valid? Thanks!
Comment 23 Ewelina Musial 2019-07-23 08:33:19 UTC
(In reply to Francesco Balestrieri from comment #22)
> Hi Ewelina, did you ever get to check whether this bug is still valid?
> Thanks!

Hi Francesco, no. I am no longer working on post-si bugs. I should remove me from this bug long time ago.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.